Impossible de mettre à jour la BDD 1.92 > 2.0.*

More
3 years 5 months ago - 3 years 5 months ago #104330 by zobbyzobba
zobbyzobba created the topic: Impossible de mettre à jour la BDD 1.92 > 2.0.*
Bonjour,

J'essaie de mettre à jour mon installation Limesurvey 1.92+ vers la dernière version.
Je ne peux pas me permettre de perdre la BDD. :dry:

J'ai suivi la méthode manuelle du wiki, c'est à dire:
- Faire les backup
- Remplacer les sources par ceux de la dernière version
- Aller sur l'installeur.
- Mettre à jour la BDD

Sauf que, lorsque je lance l'upgrade de la base, ça ne fonctionne pas.

En effet, il m'affiche bien:

The LimeSurvey database is being upgraded (2014-01-30 16:03:27).
Please be patient...


Et puis plus rien...
La page ne change jamais (je l'ai laissé une nuit), elle n'est pas en chargement.
La base n'a pas bougée et aucune connexion à la base n'est en cours (rien dans avec la commande show processlist;)

J'imagine qu'il y a une erreur, mais rien dans les logs Apache, ni dans les logs mysql.
J'ai activé les erreurs PHP, rien non plus...

L'utilisateur mysql utilisé a tout les droits sur cette base. Et avec root c'est le même constat.

Avez-vous déjà vu ce problème ? Ou avez vous des pistes à me donner, parce que là je sèche...

Est-il possible de faire upgrade à la main ? avec un script .sql par exemple.

Est-ce que j'aurai plus de réponses sur le forum anglais?


Merci par avance!
Last Edit: 3 years 5 months ago by zobbyzobba.

Please Log in to join the conversation.

More
3 years 5 months ago - 3 years 5 months ago #104331 by Nickko
Nickko replied the topic: Impossible de mettre à jour la BDD 1.92 > 2.0.*
Je n'ai jamais eu ce genre d'erreur, mais il n'est pas conseillé de passer d'un coup d'une 1.92 à 2 ou plus.

Il vaut mieux le faire étape par étape.

Je ne peux pas t'en dire plus, mais tu obtiendras sans doute d'autres réponses en français si tu patientes un peu.

Et oui, sans doute que tu obtiendras plus de réponses en anglais.

Nickko
Ergonome / Usability expert
Last Edit: 3 years 5 months ago by Nickko.

Please Log in to join the conversation.

More
3 years 5 months ago #104332 by zobbyzobba
zobbyzobba replied the topic: Impossible de mettre à jour la BDD 1.92 > 2.0.*
Merci pour votre réponse !

Mais il n'y a pas d'autres versions entre 1.92+ et 2.00+ :
github.com/LimeSurvey/LimeSurvey/release...ter=2.00_plus_130103

Avec la 2.00 j'ai le même problème.

Merci en tout cas!

Please Log in to join the conversation.

More
3 years 5 months ago #104333 by Nickko
Nickko replied the topic: Impossible de mettre à jour la BDD 1.92 > 2.0.*
Oui c'est vrai, mais il y a eu plein de 1.92+

Nickko
Ergonome / Usability expert

Please Log in to join the conversation.

More
3 years 5 months ago - 3 years 5 months ago #104334 by Ben_V
Ben_V replied the topic: Impossible de mettre à jour la BDD 1.92 > 2.0.*
Salut,

j'ai déjà vu passer des posts à ce sujet et je me souviens d'un dont le problême, c'était qu'il manquait une table dans la 1.92...
Il y a aussi rapport de bug là-dessus, sauf qu'on y parle un message d'erreur bien clair, ce qui n'est pas ton cas;

Néanmoins tu aurais peut-être intéret de t'installer une 1.92 toute neuve sur un serveur locale, pour comparer les tables

Si ça t'interesse, voici ce que j'ai comme tables (hors enquêtes) pour une 1.92+ Build 120919
  1. lime_answers
  2. lime_assessments
  3. lime_conditions
  4. lime_defaultvalues
  5. lime_expression_errors
  6. lime_failed_login_attempts
  7. lime_groups
  8. lime_labels
  9. lime_labelsets
  10. lime_participants
  11. lime_participant_attribute
  12. lime_participant_attribute_names
  13. lime_participant_attribute_names_lang
  14. lime_participant_attribute_values
  15. lime_participant_shares
  16. lime_questions
  17. lime_question_attributes
  18. lime_quota
  19. lime_quota_languagesettings
  20. lime_quota_members
  21. lime_saved_control
  22. lime_sessions
  23. lime_settings_global
  24. lime_surveys
  25. lime_surveys_languagesettings
  26. lime_survey_links
  27. lime_survey_permissions
  28. lime_templates
  29. lime_templates_rights
  30. lime_users
  31. lime_user_groups
  32. lime_user_in_groups

Benoît

EM Variables => bit.ly/1TKQyNu | EM Roadmap => bit.ly/1UTrOB4
Last Releases => 2.6x.x goo.gl/ztWfIV | 2.06/2.6.x => bit.ly/1Qv44A1
Demo Surveys => goo.gl/HuR6Xe (already included in /docs/demosurveys)
Last Edit: 3 years 5 months ago by Ben_V.

Please Log in to join the conversation.

More
3 years 5 months ago #104337 by zobbyzobba
zobbyzobba replied the topic: Impossible de mettre à jour la BDD 1.92 > 2.0.*
Merci encore pour vos réponses :)

J'ai exactemant les mêmes tables que vous Ben_V, ou qu'une installation propre.

J'ai oublié de préciser, mais ma build en production est la 120920 et ma version de la DB est 155.5.

Je continue de chercher... :(

Please Log in to join the conversation.

More
3 years 5 months ago #104353 by zobbyzobba
zobbyzobba replied the topic: Impossible de mettre à jour la BDD 1.92 > 2.0.*
En fin de compte je viens d'y arriver.

J'ai installé la 2.00 120920

Il fallait augementer la limite de mémoire de PHP (qui était à 128Mo).
Peut-être parce que ma base est trop grosse ?

Le problème c'est que j'ai trouvé par hasard et qu'il n'y avait pas de trace dans le syslog ou les logs apache :(

Ou alors j'ai masqué le vrai problème en surdimenssionnant ?

Peut-etre qu'il faudrait ajouter une note là dessus dans la doc..

J'espère que ce topic sera utile à d'autres et merci d'avoir essayé de m'aider ;)

Please Log in to join the conversation.

Moderators: Nickko

Did you already participate in our customer survey?

Don't miss your chance for great prices.

Please click here to participate:

Start now

Start now!

Just create your account and start using Limesurvey today.

Register now